fortnite-api-io

    1.9.0 • Public • Published

    fortnite-api-io

    npm version

    Simple Wrapper Module for making API calls to https://fortniteapi.io.

    Go to the API Docs to register for an account and to get an API key.

    You can also read the module docs for a list of supported calls.

    Install the Module

    npm install fortnite-api-io

    Require and Instantiate

    const FortniteAPI = require("fortnite-api-io");
    
    // Instantiate with API Credentials
    const client = new FortniteAPI("credentials-go-here", {
        defaultLanguage: 'en', // Optional - will default to 'en'
        ignoreWarnings: false // Optional -will default to false
    });

    Example API Calls

    The API is currently transitioning into its second version. Where available, it is highly recommended to use the version 2 endpoint.

    // Get the next upcoming items (version 2)
    const upcomingItems = await client.v2.listItems();
    
    // Get this season's challenges (version 2)
    const challenges = await client.v2.listChallenges("current");
    
    // Get all stats for a specific loot/weapon item (version 1)
    const loot = await client.getLootDetails();

    If you call a version 1 method, when there is an available version 2 method, a warning log will be printed. The deprecation warnings can be disabled when instantiating the API wrapper.

    const upcomingItems = await client.listItems();
    // WARNING: listItems has been deprecated - please use FortniteAPI.v2.listItems

    Acknowledgement

    Thanks to the devs of https://fortniteapi.io, do consider subscribing on their API Dashboard to support the project and its costs.

    License

    MIT

    Install

    npm i fortnite-api-io

    DownloadsWeekly Downloads

    59

    Version

    1.9.0

    License

    MIT

    Unpacked Size

    32.8 kB

    Total Files

    10

    Last publish

    Collaborators

    • benhawley7